package com.kingdee.eas.custom.esign.task;

import com.kingdee.eas.custom.esign.util.EsignConfig;
import com.kingdee.shr.api.OSFWSClient;
import org.apache.log4j.Logger;
import javax.ejb.*;
import java.rmi.RemoteException;
import com.kingdee.bos.*;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.metadata.IMetaDataPK;
import com.kingdee.bos.metadata.rule.RuleExecutor;
import com.kingdee.bos.metadata.MetaDataPK;
//import com.kingdee.bos.metadata.entity.EntityViewInfo;
import com.kingdee.bos.framework.ejb.AbstractEntityControllerBean;
import com.kingdee.bos.framework.ejb.AbstractBizControllerBean;
//import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.bos.dao.IObjectCollection;
import com.kingdee.bos.service.ServiceContext;
import com.kingdee.bos.service.IServiceContext;

import java.lang.String;
import java.util.HashMap;
import java.util.Map;

public class TaskOSFSericeFacadeControllerBean extends AbstractTaskOSFSericeFacadeControllerBean
{
    private static Logger logger =
        Logger.getLogger("com.kingdee.eas.custom.esign.task.TaskOSFSericeFacadeControllerBean");

    @Override
    protected String _executeOsf(Context ctx, String serviceName, String param) throws BOSException {
        super._executeOsf(ctx, serviceName, param);
        String shrAddr = EsignConfig.getInstance().get("shrAddr");
        OSFWSClient client = new OSFWSClient();
        Map<String, Object> map = new HashMap<String, Object>();
        map.put("data",param);
        String response = client.proceedOSF(shrAddr, serviceName, map);
        return response;
    }
}